- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_init_find()

## Synopsis

    bool
    bson_iter_init_find (bson_iter_t *iter, const bson_t *bson, const char *key);

## Parameters

- `iter`: A bson_iter_t.
- `bson`: A bson_t.
- `key`: A key to locate after initializing the iter.

## Description

This function is identical to `(bson_iter_init() && bson_iter_find())`.

### See Also:

bson_iter_init

bson_iter_init_find_case

bson_iter_init_find_w_len

bson_iter_init_from_data

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.